<?php
/**
 * @package    BabDev.Upgrade
 *
 * @copyright  Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
?>
<form action="index.php" method="post" id="adminForm" class="form-horizontal">
	<div class="row-fluid">
		<div class="span6">
			<h3>Test Pré-installation</h3>
			<hr class="hr-condensed" />
			<p class="install-text">
				Si certains de ces éléments ne sont pas conformes (marqués  <span class="label label-important">Non</span>) veuillez faire en sorte de les corriger. Sans modification de votre hébergement, vous risquez de rencontrer des problèmes durant l'installation ou des dysfonctionnements lors de l'utilisation de Joomla!
			</p>
			<table class="table table-striped table-condensed">
				<tbody>
					<?php foreach ($this->options as $option) : ?>
					<tr>
						<td class="item">
							<?php echo $option->label; ?>
						</td>
						<td>
							<span class="label label-<?php echo ($option->state) ? 'success' : 'important'; ?>">
								<?php echo ($option->state) ? 'Oui' : 'Non'; ?>
								<?php if ($option->notice):?>
									<i class="icon-info-sign icon-white" rel="tooltip" title="<?php echo $option->notice; ?>"></i>
								<?php endif;?>
							</span>
						</td>
					</tr>
					<?php endforeach; ?>
				</tbody>
				<tfoot>
					<tr>
						<td colspan="2"></td>
					</tr>
				</tfoot>
			</table>
		</div>
		<div class="span6">
			<h3>Paramètres recommandés:</h3>
			<hr class="hr-condensed" />
			<p class="install-text">
				Ces paramètres PHP sont recommandés pour une compatibilité optimale avec Joomla.<br />
				S'ils ne sont pas tous en vert, Joomla! pourra tout de même fonctionner mais des extensions risquent de ne pas être utilisables.
			</p>
			<table class="table table-striped table-condensed">
				<thead>
					<tr>
						<th>
							Directive
						</th>
						<th>
							Recommandé 
						</th>
						<th>
							Actuel
						</th>
					</tr>
				</thead>
				<tbody>
					<?php foreach ($this->settings as $setting) : ?>
					<tr>
						<td>
							<?php echo $setting->label; ?>
						</td>
						<td>
							<span class="label label-success disabled">
								<?php echo ($setting->recommended) ? 'On' : 'Off'; ?>
							</span>
						</td>
						<td>
							<span class="label label-<?php echo ($setting->state === $setting->recommended) ? 'success' : 'warning'; ?>">
								<?php echo ($setting->state) ? 'Oui' : 'Non'; ?>
							</span>
						</td>
					</tr>
				<?php endforeach; ?>
				</tbody>
				<tfoot>
					<tr>
						<td colspan="3"></td>
					</tr>
				</tfoot>
			</table>
		</div>
	</div>
</form>
